This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 973578 - [RHSC] when starting/ stopping/restarting swift services on a node the event log message gives the message "Status of service type <UNKNOWN> changed from MIXED to STOPPED on cluster TestCluster"
[RHSC] when starting/ stopping/restarting swift services on a node the event ...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Shubhendu Tripathi
RamaKasturi
: FutureFeature
Depends On: 985807 985873
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 05:03 EDT by RamaKasturi
Modified: 2015-05-15 13:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-23 07:07:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15549 None None None Never

  None (edit)
Description RamaKasturi 2013-06-12 05:03:30 EDT
Description of problem:
[RHSC] when starting/ stopping swift services on a node the event log message gives the message "Status of service type <UNKNOWN> changed from MIXED to STOPPED on cluster TestCluster"

Version-Release number of selected component (if applicable):
rhsc-2.1.0-0.bb3.el6rhs.noarch
glusterfs-3.4.0.9rhs-1.el6rhs.x86_64
vdsm-4.10.2-22.3.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create acluster with nodes added to it.
2. Click on the gluster swift subtab in the servers tab.
3. click on start Swift link.

Actual results:
Status of service type <UNKNOWN> changed from MIXED to STOPPED on cluster TestCluster

Expected results:
These meesages should not appear in the event logs / all the services of SWIFT should sync correctly.

Additional info:
Comment 2 RamaKasturi 2013-06-12 05:49:48 EDT
I have put an incorrect statement in the expected results. 

This is what should be read as expected results:

should not have "Unknown" in the message and MIXED should be replaced with Partially UP.
Comment 3 Sahina Bose 2013-07-17 05:46:00 EDT
Fixed in bb6
Comment 4 Scott Haines 2013-09-23 19:34:54 EDT
Targeting for 2.1.z U2 (Corbett) release.
Comment 5 Dusmant 2013-10-16 13:17:32 EDT
Swift feature is not there in Corbett release.
Comment 6 Sahina Bose 2015-01-23 07:07:07 EST
Closing this as management of Swift services is not in the immediate roadmap and this bug is no londer relevant.
Please open a new bug if Swift management feature is required

Note You need to log in before you can comment on or make changes to this bug.